Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ORB.cpp File Reference

`#include "ORB.h"`
`#include "ORB_Table.h"`
`#include "Connector_Registry.h"`
`#include "IOR_Parser.h"`
`#include "Typecode_Constants.h"`
`#include "Stub.h"`
`#include "ORB_Core.h"`
`#include "TAO_Internal.h"`
`#include "NVList.h"`
`#include "Dynamic_Adapter.h"`
`#include "Profile.h"`
`#include "default_ports.h"`
`#include "ORBInitInfo.h"`
`#include "ORBInitializer_Registry.h"`
`#include "TAO_Singleton_Manager.h"`
`#include "Policy_Manager.h"`
`#include "Valuetype_Adapter.h"`
`#include "IFR_Client_Adapter.h"`
`#include "CodecFactory_ORBInitializer.h"`
`#include "TypeCodeFactory_Adapter.h"`
`#include "debug.h"`
`#include "PICurrent_ORBInitializer.h"`
`#include "ace/Dynamic_Service.h"`
`#include "ace/Arg_Shifter.h"`
`#include "ace/Reactor.h"`
`#include "ace/Argv_Type_Converter.h"`
`#include "ace/OS_NS_strings.h"`
`#include "ORB.i"`

Include dependency graph for ORB.cpp:

## Functions
const char * | get_rcsid_tao_ORB (const char *)
## Variables
const char * | rcsid_tao_ORB = get_rcsid_tao_ORB ( rcsid_tao_ORB )
const char | ior_prefix [] = "IOR:"

## Function Documentation

const char* get_rcsid_tao_ORB | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char ior_prefix[] = "IOR:"`[static]`

const char* rcsid_tao_ORB = get_rcsid_tao_ORB ( rcsid_tao_ORB )`[static]`